Bug 72568 - "ImportError: No module named XXX"
Summary: "ImportError: No module named XXX"
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: pygtk2   
(Show other bugs)
Version: null
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-25 17:33 UTC by Need Real Name
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-25 17:33:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-08-25 17:33:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
many older python scripts depending on python + pygtk have troubles to run with
python2 + pygtk2
for example:
]$ iceme
Traceback (most recent call last):
  File "IceMe.py", line 20, in ?
    import GtkExtra
ImportError: No module named GtkExtra


]$ icepref
Traceback (most recent call last):
  File "/usr/X11R6/bin/icepref", line 974, in ?
    class Label(GtkLabel):
NameError: name 'GtkLabel' is not defined


or even some provided demos in the /usr/share/doc/pygtk2/examples dir:
neil/TAppli3.py
simple/dnd.py
etc


is it normal that provided examples doesn't run?


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.just run one of the python scripts having the problem
2.
3.
	

Actual Results:  doesn't find the needed module


Expected Results:  (ice*):  graphic window with setup for icewm

Additional info:

Comment 1 Matt Wilson 2002-10-15 16:17:17 UTC
These applications need to be ported to PyGTK 2.0.



Note You need to log in before you can comment on or make changes to this bug.